View Issue Details

IDProjectCategoryView StatusLast Update
0003867SymmetricDSImprovementpublic2019-03-14 08:48
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003867: Increase default of max data to route
DescriptionThe router service runs more efficiently when it is allowed to route more rows in a single run. Since it's single threaded, if it runs for too long, it will starve other channels. The "default" channel is currently set at 10,000 rows to route. Let's increase it to 500,000 rows to route, so it can recover from a backlog more easily.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 6b1454f0

2019-01-29 16:31:40

admin

Details Diff
0003867: Increase default of max data to route
0003867
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Channel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File

Issue History

Date Modified Username Field Change
2019-01-29 16:30 elong New Issue
2019-01-29 16:30 elong Status new => assigned
2019-01-29 16:30 elong Assigned To => elong
2019-01-30 10:24 elong Status assigned => resolved
2019-01-30 10:24 elong Resolution open => fixed
2019-01-30 10:24 elong Fixed in Version => 3.10.0
2019-01-30 11:00 admin Changeset attached => SymmetricDS 3.10 6b1454f0
2019-03-14 08:48 admin Status resolved => closed